<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 06.03.2015
 *
 * @var \skeeks\modules\cms\catalog\models\Product $model
 */

?>
<? $formatter = new \skeeks\modules\cms\money\IntlFormatter(\Yii::$app->language);?>

<li class="col-md-4 col-xs-12">
     <div class="service-box  text-center">
            <div class="cat-name text-center mb-20 fz18">
                <a href="<?= $model->getPageUrl(); ?>" class="condensed" title="<?= $model->name; ?>"><?= $model->name; ?></a>
            </div>
            <div class="mb-20 thumb-img_wrap text-center">

                <? if ($model->hasMainImage()) : ?>
                    <a href="<?= $model->getPageUrl(); ?>" title="<?= $model->name; ?>">
                        <img alt="<?= $model->name; ?>" title="<?= $model->name; ?>" src="<?=
                        \Yii::$app->imaging->getImagingUrl($model->getMainImageSrc(),
                            new \skeeks\cms\components\imaging\filters\Thumbnail([
                                'w'    => 160,
                                'h'    => 255,
                            ])
                        ) ?>
                        <?/*= $model->getMainImageSrc(); */?>">
                    </a>
                <? endif; ?>

                <div class="condensed fz16 mt-10 mb-10 fly-link"><b><?= $formatter->format($model->cost()); ?></b></div>
            </div>
            <a class="btn btn-primary" href="<?= $model->getPageUrl(); ?>">Показать</a>
       </div>
</li>