<?
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 12.03.2015
 *
 *
 * @var \skeeks\modules\cms\slider\widgets\slider\Slider $widget
 * @var \skeeks\modules\cms\slider\models\Slide[] $slides
 */

/* @var $this yii\web\View */

$counter = 0;
?>

<? if ($slides): ?>
    <div class="row">
            <div class="col-md-12">
                <div id="myCarousel" class="carousel slide">
                    <div class="carousel-inner">
                                <? foreach ($slides as $slide): ?>
                                        <? $counter ++ ?>
                                        <div class="item <?= ($counter == 1 ? "active" : "")?>">
                                            <? if ($slide->hasMainImage()) : ?>
                                                <img alt="" src="<?= $slide->getMainImageSrc(); ?>" />
                                            <? endif;?>

                                            <? if ($slide->name || $slide->description) : ?>
                                                <div class="carousel-caption">
                                                    <h2 class="no-margin"><?= $slide->name; ?></h2>
                                                    <p><?= $slide->description; ?></p>
                                                </div>
                                            <? endif;?>
                                        </div>

                                <? endforeach; ?>
                        </div>

                    <a class="left carousel-control" href="#myCarousel" data-slide="prev">‹</a>
                    <a class="right carousel-control" href="#myCarousel" data-slide="next">›</a>
                </div>
                <br/>
            </div>
        </div>
<? endif; ?>

