<?php
/**
 * Response
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 07.10.2014
 * @since 1.0.0
 */


/**
 * Class Cx_Controller_Response
 */
class Cx_Controller_Response_Http_Rss
    extends Cx_Controller_Response_Http
{
    /**
     * @return $this
     */
    protected function _addDefaultHeaders()
    {
        parent::_addDefaultHeaders();

        $this->setHeaderNameContent("Content-Type", "application/xml; charset=" . Sx::app()->getCharset());
        return $this;
    }

    /**
     * @return $this
     */
    protected function _execute()
    {
        echo $this->getBody();
        return $this;
    }
}