<?php
/**
 * Uri
 *
 * @date 21.03.14
 * @copyright skeeks.com
 * @author Semenov Alexander <semenov@skeeks.com>
 */

/**
 * Class Cx_Url
 */
class Cx_Url_Query
    extends Cx_Entity
{
    protected $_encode = true;
    /**
     * @param $string
     * @return static
     */
    static public function createFromString($string)
    {
        parse_str($string, $data);
        return new static($data);
    }

    /**
     * @return string
     */
    public function toString()
    {
        /*$aPairs = array();

        foreach ($this->_data as $sKey => $sValue)
        {
            $aPairs[] = $sKey . '=' . ($this->isEncode() ? $this->urlencode($sValue) : $sValue);
        }

        print_r(http_build_query($this->_data));die;
        return implode('&', $aPairs);*/

        return http_build_query($this->_data);
    }

    /*public function urlencode($data)
    {

        if (is_array($data))
        {
            $result = [];

            foreach ($data as $key => $value)
            {
                $result[urlencode($key)] = $this->urlencode($value);
            }

            return $result;
        } else
        {
            return urlencode($data);
        }
    }*/

    /**
     * @return bool
     */
    public function isEncode()
    {
        return (bool) $this->_encode;
    }

    /**
     * @return $this
     */
    public function enableEncode()
    {
        $this->_encode = true;
        return $this;
    }

    /**
     * @return $this
     */
    public function disableEncode()
    {
        $this->_encode = false;
        return $this;
    }
}