<?php
/**
 * start-install
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 20.02.2015
 * @since 1.0.0
 */
$url = Skeeks::$app->getUrlManager()->createUrl('default/index');
?>
<style>
    .process-status
    {
        margin-top: 10px;
        padding-top: 10px;
        border-top: 1px dashed rgba(32, 168, 216, 0.25);
    }
    .sx-timer
    {
        font-size: 20px;
    }
</style>
<script>
    var updateStatus = function(startTimerValue)
    {
        _.delay(function()
        {
            window.location.reload();
        }, 20000);
        var startTimer = startTimerValue;
        setInterval(function()
        {
            startTimer = startTimer + 1;
            $(".sx-timer").empty().append(startTimer);
        }, 1000);
    };

    function checkInstallProcess()
    {
        console.log('checkInstallProcess');
        $.ajax({
            url: "<?= Skeeks::$app->getUrlManager()->createUrl('default/checkinstall'); ?>",
            data: {},
            success: function(data, result)
            {},

            complete: function(data, result)
            {},

            timeout: 6000
        });
    }

    $(function()
    {
        $("#start-install").on("click", function()
        {
            $(".start-install-container").fadeOut();

            $.ajax({
                url: "<?= $url; ?>",
                data: {},
                success: function(data)
                {},
                complete: function(data)
                {
                    if (data.statusText == 'timeout')
                    {}
                },

                timeout: 60000
            });

            _.delay(function()
            {
                $(".step-1").fadeIn();
            }, 500);

            _.delay(function()
            {
                $(".step-2").fadeIn();
            }, 4000);

            _.delay(function()
            {
                $(".step-3").fadeIn();
            }, 6000);

            _.delay(function()
            {
                $(".step-4").fadeIn();
            }, 7000);


            updateStatus(0);
        });


    });
</script>
<style>
    ol
    {
        list-style: initial;
    }

    ol li {
        list-style: initial;
        font-size: 15px;
        border-bottom: 1px solid silver;
        margin-bottom: 10px;
    }

    ol li .details {
        border: 1px solid silver;
        padding: 10px;
        margin: 10px;
    }
</style>
<h1 class="title">Мастер установки CMS.</h1>
<div class="padding-20" style="text-align: center;">
<? if ($this->ready) : ?>
    <p style="color: red;">Проект уже установлен</p>
    <p><button id="reinstall">Переустановить</button></p>
    <p>Или</p>
    <p><button id="remove-install">Удалить установочный скрипт</button></p>
<? elseif($this->inProccess): ?>
    <script>
        $(function()
        {
            updateStatus(<?= $this->installTime; ?>);
        });

    </script>
    <p class="step-1">Начинается процесс установки. Ожидайте...</p>
    <p class="step-2">Процесс может занять от 5 до 10 минут.</p>
    <p class="step-3">Идет первый этап установки. Установка omposer, его плагинов и зависимостей.</p>

    <p class="step-4 process-status">
        Установка длиться: <span class="sx-timer"><?= $this->installTime; ?></span> сек.</p>
<? else: ?>

    <div class="start-install-container">
        <p>
            <button id="start-install" class="btn">Начать установку</button>
        </p>
        <p><small><b>Внимание!</b> Процесс может занять от 5 до 10 минут. После нажатия на эту кнопку, вы можете пойти попить чай.</small></p>
    </div>

    <p class="step-1 sx-hide">Начинается процесс установки. Ожидайте...</p>
    <p class="step-2 sx-hide">Процесс может занять от 5 до 10 минут.</p>
    <p class="step-3 sx-hide">Идет первый этап установки. Установка omposer, его плагинов и зависимостей.</p>
    <p class="step-4 sx-hide process-status">
        Установка длиться: <span class="sx-timer"><?= $this->installTime; ?></span> сек.</p>
<? endif; ?>
</div>
