<?php
/**
 * default
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 24.02.2015
 * @since 1.0.0
 */
?>
<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="UTF-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Установка</title>
    <link rel="icon" href="http://skeeks.com/favicon.ico"  type="image/x-icon" />
    <meta name="generator" content="SkeekS cms">
    <style>
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, font, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend, textarea, input
table, caption, tbody, tfoot, thead, tr, th, td {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
	}
body {
	line-height: 1;
	}
ol, ul {
	list-style: none;
	}
blockquote, q {
	quotes: none;
	}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
	}

/* remember to define focus styles! */
:focus {
	outline: 0;
	}

/* remember to highlight inserts somehow! */
ins {
	text-decoration: none;
	}
del {
	text-decoration: line-through;
	}

/* tables still need 'cellspacing="0"' in the markup */
table {
	border-collapse: collapse;
	border-spacing: 0;
	}



html, body {
    height:100%;
}

body {
    background:#e4e5e6 repeat repeat !important;
    font-size:12px;
    font-family:Tahoma, Arial, Verdana, Helvetica, sans-serif;
    color:#000;
    vertical-align:top;
    text-align:center;
}

.wrap {
    width:1000px;
    min-height:100%;
    margin:0px auto;
    text-align:left;
    line-height:140%;
    position:relative;
    overflow-x:hidden;
    z-index:1;
    zoom:1;
}

	.content {
        /*box-shadow: 0 11px 51px 9px rgba(0,0,0,.55);*/
        box-shadow: 0 11px 51px 9px rgba(32, 168, 216, 0.18);
        border-color: rgba(32, 168, 216, 0.25);
        border-width: 3px;
        border-style: solid;
        border-radius: 6px;
        background: #fff;
        position:relative;
        min-height:640px;
        -moz-border-radius:6px;
        -webkit-border-radius:6px;
        /*box-shadow:0 0 8px #999;
        -moz-box-shadow:0 0 8px #999;
        -webkit-box-shadow:0 0 8px #999;*/
        margin:38px 45px;

        zoom:1;
	}

        .sx-hide
        {
            display: none;
        }


body
{
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    color: rgb(95, 95, 95);
}

h1
{
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 25px;
    color: rgb(95, 95, 95);
}

h1.title
{
    text-align: center;
    padding: 10px;
    border-bottom: 1px solid rgba(32, 168, 216, 0.25);
}

.padding-20
{
    padding:20px 20px 20px 20px;
}

.btn
{
    -webkit-appearance: none;
-webkit-background-clip: border-box;
-webkit-background-origin: padding-box;
-webkit-background-size: auto;
-webkit-user-select: none;
-webkit-writing-mode: horizontal-tb;
align-items: flex-start;
background-attachment: scroll;
background-clip: border-box;
background-color: rgb(32, 168, 216);
background-image: none;
background-origin: padding-box;
background-size: auto;
border-bottom-color: rgb(32, 168, 216);
border-bottom-left-radius: 2px;
border-bottom-right-radius: 2px;
border-bottom-style: solid;
border-bottom-width: 1px;
border-image-outset: 0px;
border-image-repeat: stretch;
border-image-slice: 100%;
border-image-source: none;
border-image-width: 1;
border-left-color: rgb(32, 168, 216);
border-left-style: solid;
border-left-width: 1px;
border-right-color: rgb(32, 168, 216);
border-right-style: solid;
border-right-width: 1px;
border-top-color: rgb(32, 168, 216);
border-top-left-radius: 2px;
border-top-right-radius: 2px;
border-top-style: solid;
border-top-width: 1px;
box-sizing: border-box;
color: rgb(255, 255, 255);
cursor: pointer;
display: inline-block;
font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
font-size: 14px;
font-stretch: normal;
font-style: normal;
font-variant: normal;
font-weight: normal;
height: 35px;
letter-spacing: normal;
line-height: 20px;
margin-bottom: 0px;
margin-left: 0px;
margin-right: 0px;
margin-top: 0px;
overflow-x: visible;
overflow-y: visible;
padding-bottom: 6px;
padding-left: 12px;
padding-right: 12px;
padding-top: 6px;
text-align: center;
text-indent: 0px;
text-rendering: auto;
text-shadow: none;
text-transform: none;
touch-action: manipulation;
vertical-align: middle;
white-space: nowrap;
word-spacing: 0px;
writing-mode: lr-tb;
}
    </style>
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
    <script src="//underscorejs.ru/underscore-min.js"></script>
</head>
<body>

<div class="wrap">
	<div class="content">
        <?= $this->content; ?>
    </div>
</div>
</body>
</html>
