<?php
/**
 * AppAsset
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 20.10.2014
 * @since 1.0.0
 */

namespace frontend\assets;

use yii\web\AssetBundle;

/**
 * Class AppAsset
 * @package frontend\assets
 */
class AppAsset extends AssetBundle
{
    public $basePath = '@webroot';
    public $baseUrl = '@web';
    public $css = [
        'http://fonts.googleapis.com/css?family=Roboto+Condensed:400,700',
        'http://fonts.googleapis.com/css?family=Open+Sans:400italic,700italic,400,700&subset=latin,cyrillic',
        'css/bootstrap.css',
        //'css/jquery-ui-1.9.2.custom.css',
        'css/main.css',
        'css/bootstrap-responsive.css',
        'css/jquery.css',
        'css/fast.css',
    ];
    public $js = [
        //'js/jquery-1.8.3.js',
        //'js/jquery-ui-1.9.2.custom.min.js',
        'js/bootstrap-changed.js',
        'js/custom.js',
        //'js/classes/Blocker.js',
        'js/app.js',
    ];
    public $depends = [
        'yii\web\YiiAsset',
        //'yii\bootstrap\BootstrapAsset',
        //'yii\bootstrap\BootstrapPluginAsset',
        '\skeeks\sx\assets\Custom',
        '\skeeks\cms\assets\FancyboxAssets',
    ];
}