<?
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 06.03.2015
 */
/* @var $this \yii\web\View */
?>

<!-- Start Header-->
<div class="row mb-20">
    <div class="col-md-4 logo col-xs-6">
        <a href="/">
          <img src="/img/logo.png" class="img-responsive">
        </a>
    </div>
    <div class="col-md-3 head-col col-xs-6 ">
        <?= \Yii::$app->cms->infoblock('links-header'); ?>

    </div>
    <div class="col-md-2 head-col head-phone col-xs-6">
        <?= \Yii::$app->cms->infoblock('phones-header'); ?>
        <?= \Yii::$app->cms->infoblock('email'); ?>

    </div>
    <div class="col-md-3 head-col cl-grey col-xs-6">
            <?= \Yii::$app->cms->infoblock('working-time'); ?>
        <a class="btn btn-primary mt-10 sx-fancybox" href="#form-phone" type="button">Заказать звонок</a>
        <div style="display: none">
            <div id="form-phone" class="sx-fancybox-content">
                <div class="span6">
                    <?= \Yii::$app->cms->infoblock('form-phone'); ?>
                </div>
            </div>

            <div id="add-review" class="sx-fancybox-content">
                <div class="span6">
                    <?= \Yii::$app->cms->infoblock('add-review'); ?>
                </div>
            </div>

            <div id="form-product-order" class="sx-fancybox-content">
                <div class="span6">
                    <?= \Yii::$app->cms->infoblock('form-product-order'); ?>
                </div>
            </div>

        </div>
    </div>
</div>
<!-- End Header-->

<!-- Start Navigation -->
<div class="row">
    <div class="col-md-12 col-md-12">
        <div class="navbar">
            <div class="navbar-inner">
                <div class="container-fluid" style="width: auto;">
                    <a class="btn btn-navbar pull-left" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </a>
                     <ul class="nav pull-right bl-zamer">
                        <li><a href="#form-vizov" class="no-border sx-fancybox"><img src="/img/icons/zamer.png"> Вызвать замерщика</a></li>

                         <div style="display: none">

                            <div id="form-vizov" class="sx-fancybox-content">
                                <div class="span6">
                                    <?= \Yii::$app->cms->widgetInfoblock('form-vizov'); ?>
                                </div>
                            </div>
                        </div>

                    </ul>

                    <div class="navbar-collapse collapse pull-left" >
                        <?= \Yii::$app->cms->widgetInfoblock('main-menu'); ?>

                        <!--<ul class="nav navbar-nav">
                            <li><a href="index.html">Главная</a></li>
                            <li><a href="about.html">О компании</a></li>
                            <li class="dropdown">
                                <a href="services.html" class="dropdown-toggle" data-toggle="dropdown">Цены на услуги <b class="caret"></b></a>
                                <ul class="dropdown-menu">
                                    <li><a href="services.html" class="link-chevron">Подраздел 1</a></li>
                                    <li><a href="service_detail.html"  class="link-chevron">Подраздел 2</a></li>
                                    <li><a href="services.html" class="link-chevron">Подраздел 1</a></li>
                                    <li><a href="service_detail.html"  class="link-chevron">Подраздел 2</a></li>
                                </ul>
                            </li>
                            <li><a href="portfolios.html">Как сделать заказ</a></li>
                            <li><a href="contact.html">Контакты</a></li>
                            <li><a href="testimonials.html">Отзывы</a></li>
                        </ul>-->

                    </div>



                </div>
            </div>
        </div>
        <hr/>
    </div>
</div>
<!-- End Navigation -->