<?
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 06.03.2015
 */
/* @var $this \yii\web\View */
/* @var \skeeks\cms\models\Tree $model */
$infoblcoks = $model->getPageOptionValueData('infoblocks');
$infoblcoks = \yii\helpers\ArrayHelper::getValue($infoblcoks, 'value');
?>
<?= \Yii::$app->cms->renderFrontend('include/slider.php'); ?>
<div class="row">
    <?= \Yii::$app->cms->widgetInfoblock('breadcrumbs'); ?>

</div>
<div class="row">
   <!-- left col -->
    <div class="col-md-3">
        <?= \Yii::$app->cms->renderFrontend('include/left-col.php'); ?>
    </div>
    <!-- right col -->
    <div class="col-md-9 content-col">
        <div class="row">
            <h1 class="page-title col-md-12 col-xs-12 mt-10 mb-20"><?= $model->name; ?></h1>
            <div class="col-md-12">
                <?= $model->description_full; ?>

                <? if ($infoblcoks) : ?>
                    <? foreach($infoblcoks as $idInfoblock) : ?>
                        <?= \Yii::$app->cms->widgetInfoblock((int) $idInfoblock); ?>
                    <? endforeach; ?>
                <? endif; ?>

                <?= \Yii::$app->cms->widgetInfoblock('publications'); ?>
                <?= \Yii::$app->cms->widgetInfoblock('products'); ?>

            </div>
        </div>
    </div>
</div>
