<?php
/**
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010 SkeekS (СкикС)
 * @date 06.03.2015
 *
 * @var \skeeks\cms\models\Publication $model
 */

?>
<li class="border-b pt-20 pb-20">
    <div class="mb-10"><a class="condensed fz18" href="<?= $model->getPageUrl(); ?>" title="<?= $model->name; ?>"><?= $model->name; ?></a> <span class="cl-grey fz15 pl-20"><?= \Yii::$app->formatter->asDate($model->published_at, 'short')?></span></div>
    <?/*= \Yii::$app->formatter->asRelativeTime($model->published_at)*/?>
    <div class="news-item-content">
        <? if ($model->hasMainImage()) : ?>
            <a href="<?= $model->getPageUrl(); ?>" title="<?= $model->name; ?>">
                <img alt="<?= $model->name; ?>" title="<?= $model->name; ?>" src="<?=
                \Yii::$app->imaging->getImagingUrl($model->getMainImageSrc(),
                    new \skeeks\cms\components\imaging\filters\Thumbnail([
                        'w'    => 200,
                        'h'    => 130,
                    ])
                ) ?>
                <?/*= $model->getMainImageSrc(); */?>" class="news-item-img">
            </a>
        <? endif; ?>

        <?= $model->description_short; ?>
        <br/><a href="<?= $model->getPageUrl(); ?>" class="link-chevron">Подробнее</a>
    </div>
</li>