/*!
 *
 * Skeeks cms application
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 15.10.2014
 * @since 1.0.0
 */
(function(sx, $, _)
{
    sx.createNamespace('classes.App', sx);

    sx.classes.Fancybox = sx.classes.Component.extend({

        _init: function()
        {},

        _onDomReady: function()
        {
            $('.sx-fancybox').fancybox();
        },

        _onWindowReady: function()
        {}
    });

    sx.classes.NotImplemented = sx.classes.Component.extend({

        _init: function()
        {
            this.onDomReady(function()
            {
                sx.notify.error('Еще не реилзованно', {
                    'life' : '100000'
                });
                return false;
            });
        }
    });

    sx.classes.App = sx.classes.Component.extend({

        _init: function()
        {
            this.fancybox = new sx.classes.Fancybox();
        },

        _onDomReady: function()
        {
            this._initNotify();

            $('.sx-not-implemented').on('click', function()
            {
                sx.notify.info('Еще не реилзованно', {
                    'life' : '10000'
                });
                return false;
            });
        },


        _initNotify: function()
        {
            //Глобальные настройки JGrowl
            $.jGrowl.defaults.closer        = false;
            $.jGrowl.defaults.closeTemplate = '×';
            $.jGrowl.defaults.position      = 'top-right';
            $.jGrowl.defaults.life          = 5000;
        },

        _onWindowReady: function()
        {}
    });

    sx.App = new sx.classes.App();
})(sx, sx.$, sx._);
