function styled_select() {
jQuery.browser={};(function(){jQuery.browser.msie=false;
jQuery.browser.version=0;if(navigator.userAgent.match(/MSIE ([0-9]+)\./)){
jQuery.browser.msie=true;jQuery.browser.version=RegExp.$1;}})();
	if (!($.browser.msie && $.browser.version <= 6)) {
		var $selects = $('select');
		$selects.each(function () {
			if ($(this).parent().hasClass('select_box')) {
				return;
			}

			var classes = $(this).attr('class');

			$(this).wrap('<div class="select_box ' + classes + '"></div>');
			if ($(this).is(':disabled')) {
				$(this).parents('.select_box').addClass('disabled');
			}

			if ($(this).is(':focus')) {
				$(this).parents('.select_box').addClass('focus');
			}

			var $ops = $(this).find('option');
			$ops.each(function () {
				if ($(this).is('[selected]')) {
					$(this).addClass('selected');
				}
			});

			var $selectedOpts = $(this).find('option.selected');

			if ( $ops.hasClass('selected') ) {
				var $selectedText = $selectedOpts.text();

				$(this).before('<span class="select_box__text">' + $selectedText + '</span>');
			}
			else {
				var $firstText = $(this).find('option:first').text();
				$(this).before('<span class="select_box__text">' + $firstText + '</span>');
			}

			if ($selectedOpts.hasClass('opt-desc')) {
				$(this).parents('.select_box').addClass('desc');
			} else {
				$(this).parents('.select_box').removeClass('desc');
			}

			$(this).change(function () {
				var $text = $(this).find('option:selected').text();
				$(this).siblings('.select_box__text').text($text);

				if (!$(this).find('option:selected').hasClass('opt-desc')) {
					$(this).parents('.select_box').removeClass('desc');
				} else {
					$(this).parents('.select_box').addClass('desc');
				}
			});

			$(this).on('focus', function() {
				$(this).parent().addClass('focus');
			});

			$(this).on('blur', function() {
				$(this).parent().removeClass('focus');
			});
		});
	}
}

jQuery(document).ready(function(){

	jQuery(window).scroll(function () {
			if (jQuery(this).scrollTop() > 400)
				jQuery('#up').fadeIn(600);
			else
				jQuery('#up').fadeOut(600);
		});


	//Обработка нажатия на кнопку "Вверх"
	jQuery("#up").click(function(){
	//Необходимо прокрутить в начало страницы
	var curPos=jQuery(document).scrollTop();
	var scrollTime=curPos/1.73;
	jQuery("body,html").animate({"scrollTop":0},scrollTime);
	});

});
