<?php
/**
 * TemplateEngine
 * Любой движок, template должен ументь рендерить файлы, получая параметры
 *
 * @author Semenov Alexander <semenov@skeeks.com>
 * @link http://skeeks.com/
 * @copyright 2010-2014 SkeekS (Sx)
 * @date 07.10.2014
 * @since 1.0.0
 */

/**
 * Interface Ix_View_TemplateEngine
 */
interface Ix_View_TemplateEngine
{
    /**
     * @abstract
     * @param  array  $paths  List of paths
     * @param  string $name   Name of the template file
     * @param  array  $vars   Template context
     * @return string
     */
    public function renderTemplateFile(array $paths, $name, array $vars = array());
}

/**
 * Class Cx_View_TemplateEngine
 */
abstract class Cx_View_TemplateEngine
    implements Ix_View_TemplateEngine
{}